LibreOffice: XDictionary1 Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XDictionary1 Interface Referencepublished

`import <XDictionary1.idl;`

Inheritance diagram for XDictionary1:

## Public Member Functions
com::sun::star::linguistic2::DictionaryType | getDictionaryType ()
void | setActive ([in] boolean bActivate)
boolean | isActive ()
short | getCount ()
short | getLanguage ()
void | setLanguage ([in] short nLang)
com::sun::star::linguistic2::XDictionaryEntry | getEntry ([in] string aWord)
boolean | addEntry ([in] com::sun::star::linguistic2::XDictionaryEntry xDicEntry)
boolean | add ([in] string aWord, [in] boolean bIsNegative, [in] string aRplcText)
boolean | remove ([in] string aWord)
boolean | isFull ()
sequence< com::sun::star::linguistic2::XDictionaryEntry > | getEntries ()
void | clear ()
boolean | addDictionaryEventListener ([in] com::sun::star::linguistic2::XDictionaryEventListener xListener)
boolean | removeDictionaryEventListener ([in] com::sun::star::linguistic2::XDictionaryEventListener xListener)
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Deprecated

## Member Function Documentation

## ◆ add()

boolean add | ( | [in] string | aWord,
|  | [in] boolean | bIsNegative,
|  | [in] string | aRplcText )

## ◆ addDictionaryEventListener()

boolean addDictionaryEventListener | ( | [in] com::sun::star::linguistic2::XDictionaryEventListener | xListener | ) |

## ◆ addEntry()

boolean addEntry | ( | [in] com::sun::star::linguistic2::XDictionaryEntry | xDicEntry | ) |

## ◆ clear()

void clear | ( |  | ) |

## ◆ getCount()

short getCount | ( |  | ) |

## ◆ getDictionaryType()

com::sun::star::linguistic2::DictionaryType getDictionaryType | ( |  | ) |

## ◆ getEntries()

sequence< com::sun::star::linguistic2::XDictionaryEntry > getEntries | ( |  | ) |

## ◆ getEntry()

com::sun::star::linguistic2::XDictionaryEntry getEntry | ( | [in] string | aWord | ) |

## ◆ getLanguage()

short getLanguage | ( |  | ) |

## ◆ isActive()

boolean isActive | ( |  | ) |

## ◆ isFull()

boolean isFull | ( |  | ) |

## ◆ remove()

boolean remove | ( | [in] string | aWord | ) |

## ◆ removeDictionaryEventListener()

boolean removeDictionaryEventListener | ( | [in] com::sun::star::linguistic2::XDictionaryEventListener | xListener | ) |

## ◆ setActive()

void setActive | ( | [in] boolean | bActivate | ) |

## ◆ setLanguage()

void setLanguage | ( | [in] short | nLang | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XDictionary1.idl